diff --git a/components/ble/ble_services/ble_nus/ble_nus.c b/components/ble/ble_services/ble_nus/ble_nus.c
index 7567bbf..169fcb5 100644
--- a/components/ble/ble_services/ble_nus/ble_nus.c
+++ b/components/ble/ble_services/ble_nus/ble_nus.c
@@ -100,6 +100,8 @@ static void on_connect(ble_nus_t * p_nus, ble_evt_t const * p_ble_evt)
         (p_nus->data_handler != NULL) &&
         ble_srv_is_notification_enabled(gatts_val.p_value))
     {
+        NRF_LOG_INFO("Notification enabled at connection establishment (enabled in previous connection with bonded peer).");
+
         if (p_client != NULL)
         {
             p_client->is_notification_enabled = true;
@@ -149,11 +151,13 @@ static void on_write(ble_nus_t * p_nus, ble_evt_t const * p_ble_evt)
         {
             if (ble_srv_is_notification_enabled(p_evt_write->data))
             {
+                NRF_LOG_INFO("Notification enabled.");
                 p_client->is_notification_enabled = true;
                 evt.type                          = BLE_NUS_EVT_COMM_STARTED;
             }
             else
             {
+                NRF_LOG_INFO("Notification disabled.");
                 p_client->is_notification_enabled = false;
                 evt.type                          = BLE_NUS_EVT_COMM_STOPPED;
             }
